> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Tokens List

> List all tokens for the project associated with your API token.



## OpenAPI

````yaml /apis/admin/openapi.json get /api/external/v1/tokens
openapi: 3.1.0
info:
  title: Magna Admin API
  version: 1.0.0
  description: >-
    The private, server-to-server API for managing allocations, funding and
    claims, transactions, portals, and token data. Authenticated with a project
    API key sent in the `x-magna-api-token` header.
servers:
  - url: https://app.magna.so
    description: Production
security:
  - apiToken: []
paths:
  /api/external/v1/tokens:
    get:
      tags:
        - Tokens
      summary: Tokens List
      description: List all tokens for the project associated with your API token.
      operationId: getTokens
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  isProcessed:
                    type: boolean
                  result:
                    description: Endpoint-specific result payload.
              example:
                isProcessed: true
                result:
                  items:
                    - id: d94ac97e-504a-4e26-b75c-03afae134849
                      address: '0xc1bf91946E8CaF19cad76c7D1A00c6081b85AC98'
                      symbol: MAG
                      totalSupply: '1000000'
                      decimals: 18
                      chain: Ethereum Sepolia
                      createdAt: '2024-02-16T17:24:20.000Z'
                      updatedAt: '2024-02-16T17:48:51.000Z'
                  total: 1
        '400':
          description: Validation error
        '401':
          description: Missing or invalid API token
        '403':
          description: API token lacks the required scope or project access
components:
  securitySchemes:
    apiToken:
      type: apiKey
      in: header
      name: x-magna-api-token

````